$(document).ready(function() {
  /*barChart1();
  barChart2();
  barChart2b();
  barChart3();
  barChart3b();
  barChart5();
  barChart5b();
  donutChart1();
  donutChart2();
  donutChart3(); */
  /*donutChart4(); */
  
  /*barChart6(); */

  $(window).resize(function() {
    /* window.barChart1.redraw(); 
     window.barChart2.redraw();
     window.barChart2b.redraw();*/
   /* window.barChart3.redraw();
    window.donutChart.redraw();
    window.barChart5.redraw();
    window.barChart6.redraw(); */
  });

 /*  Morris.Bar({
    element: 'hero-bar',
    data: [
      {device: 'iPhone', geekbench: 136},
      {device: 'iPhone 3G', geekbench: 137},
      {device: 'iPhone 3GS', geekbench: 275},
      {device: 'iPhone 4', geekbench: 380},
      {device: 'iPhone 4S', geekbench: 655},
      {device: 'iPhone 5', geekbench: 1571}
    ],
    xkey: 'device',
    ykeys: ['geekbench'],
    labels: ['Geekbench'],
    barRatio: 0.4,
    xLabelAngle: 35,
    hideHover: 'auto'
  }); */

});

/* $(function () {
  eval($('#code').text());
  prettyPrint();
}); */

function barChart1() {
  var barChart11 = new Morris.Bar({
    element: 'bar-chart1',
    data: [
      { y: 'Enero', a: 0, b: 0 },
      { y: 'Febrero', a: 0,  b: 0 },
      { y: 'Marzo', a: 0,  b: 0 },
      { y: 'Abril', a: 0,  b: 0 },
      { y: 'Mayo', a: 0,  b: 0 },
      { y: 'Junio', a: 0,  b: 0 },
      { y: 'Julio', a: 0,  b: 0 },	  
      { y: 'Agosto', a: 0, b: 0 },
      { y: 'Septiembre', a: 0, b: 0 },
      { y: 'Octubre', a: 0, b: 0 },
      { y: 'Noviembre', a: 0, b: 0 },
      { y: 'Diciembre', a: 0, b: 0 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Ventas', 'Costos + Gastos'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=ventasgastostodos",
    function(data,status)
    {
      console.log('data: '+data);
      //console.log('data[0] '+data[0])
      data1=JSON.parse(data);
      //console.log('data1: '+data1);
      if ((data1 == null)||(data1 == "undefined")) {
        console.log('no hay data');
      }else{
        let i=0;
        const item = data1[0];
        var datospp = [];
        item.forEach(articulo => {
          datospp.push({
            y: articulo.mes,
            a: articulo.totalventa,
            b: articulo.totalgasto + articulo.totalingreso 
          });
        });
        barChart11.setData(datospp);
        //console.log('datospp: '+datospp)
      }
		});
}

function barChart2() {
  var barChart2 = new Morris.Bar({
    element: 'bar-chart2',
    data: [
      { x: 'Producto 1', a: 200, y: 200 },
      { x: 'Producto 2', a: 150, y: 150 },
      { x: 'Producto 3', a: 100, y: 100 },
      { x: 'Producto 4', a: 150, y: 150 },
      { x: 'Producto 5', a: 100, y: 100 },
      { x: 'Producto 6', a: 150, y: 150 },
      { x: 'Producto 7', a: 75, y: 75 },	  
      { x: 'Producto 8', a: 200, y: 200 },
      { x: 'Producto 9', a: 200, y: 200 },
      { x: 'Producto 10', a: 200, y: 200 }
    ],
    xkey: 'x',
    ykeys: ['y'],
    labels: ['Ventas'],
    lineColors: ['#1e88e5'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=articulomesanterior",
    function(data,status)
    {
      console.log('data: '+data);
      //console.log('data[0] '+data[0])
      data1=JSON.parse(data);
      //console.log('data1: '+data1);
      if ((data1 == null)||(data1 == "undefined")) {
        console.log('no hay data');
      }else{
        let i=0;
        const item = data1[0];
        var datospp2 = [];
        item.forEach(articulo => {
          datospp2.push({
            x: articulo.nombre,
            y: articulo.unidades,
            a: articulo.unidades
            
          });
        });
        //console.log('datospp: '+datospp)
        barChart2.setData(datospp2);
        //console.log('datospp: '+datospp)
      }
		});
}

function barChart2b() {
  var barChart2b = new Morris.Bar({
    element: 'bar-chart2b',
    data: [
      { y: 'Producto 1', a: 200 },
      { y: 'Producto 2', a: 150 },
      { y: 'Producto 3', a: 100 },
      { y: 'Producto 4', a: 150 },
      { y: 'Producto 5', a: 100 },
      { y: 'Producto 6', a: 150 },
      { y: 'Producto 7', a: 75, },	  
      { y: 'Producto 8', a: 200 },
      { y: 'Producto 9', a: 200 },
      { y: 'Producto 10', a: 200 }
    ],
    xkey: 'y',
    ykeys: ['a'],
    labels: ['Ventas'],
    lineColors: ['#1e88e5'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=articulomesencurso",
    function(data,status)
    {
      console.log('data: '+data);
      //console.log('data[0] '+data[0])
      data1=JSON.parse(data);
      //console.log('data1: '+data1);
      if ((data1 == null)||(data1 == "undefined")) {
        console.log('no hay data');
      }else{
        let i=0;
        const item = data1[0];
        var datospp2b = [];
        item.forEach(articulo => {
          datospp2b.push({
            y: articulo.nombre,
            a: articulo.unidades
          });
        });
        //console.log('datospp: '+datospp)
        barChart2b.setData(datospp2b);
        //console.log('datospp: '+datospp)
      }
		});
}

function barChart3() {
  var barChart3 = new Morris.Bar({
    element: 'bar-chart3',
    data: [
      { y: 'Cliente 1', a: 100 },
      { y: 'Cliente 2', a: 75 },
      { y: 'Cliente 3', a: 50 },
      { y: 'Cliente 4', a: 75 },
      { y: 'Cliente 5', a: 50 },
      { y: 'Cliente 6', a: 75 },
      { y: 'Cliente 7', a: 75 },	  
      { y: 'Cliente 8', a: 100 },
      { y: 'Cliente 9', a: 100 },
      { y: 'Cliente 10', a: 100 }
    ],
    xkey: 'y',
    ykeys: ['a'],
    labels: ['Compras'],
    lineColors: ['#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=clientemesanterior",
    function(data,status)
    {
      console.log('data: '+data);
      //console.log('data[0] '+data[0])
      data1=JSON.parse(data);
      //console.log('data1: '+data1);
      if ((data1 == null)||(data1 == "undefined")) {
        console.log('no hay data');
      }else{
        let i=0;
        const item = data1[0];
        var datospp3 = [];
        item.forEach(articulo => {
          datospp3.push({
            y: articulo.nombre,
            a: articulo.venta
          });
        });
        //console.log('datospp: '+datospp)
        barChart3.setData(datospp3);
        //console.log('datospp: '+datospp)
      }
		});

}

function barChart3b() {
  var barChart3b = new Morris.Bar({
    element: 'bar-chart3b',
    data: [
      { y: 'Cliente 1', a: 100 },
      { y: 'Cliente 2', a: 75 },
      { y: 'Cliente 3', a: 50 },
      { y: 'Cliente 4', a: 75 },
      { y: 'Cliente 5', a: 50 },
      { y: 'Cliente 6', a: 75 },
      { y: 'Cliente 7', a: 75 },	  
      { y: 'Cliente 8', a: 100 },
      { y: 'Cliente 9', a: 100 },
      { y: 'Cliente 10', a: 100 }
    ],
    xkey: 'y',
    ykeys: ['a'],
    labels: ['Compras'],
    lineColors: ['#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
   //Buscamos los datos
   $.post("controladores/consultasControlador.php?op=clientemesencurso",
   function(data,status)
   {
     console.log('data: '+data);
     //console.log('data[0] '+data[0])
     data1=JSON.parse(data);
     //console.log('data1: '+data1);
     if ((data1 == null)||(data1 == "undefined")) {
       console.log('no hay data');
     }else{
       let i=0;
       const item = data1[0];
       var datospp3b = [];
       item.forEach(articulo => {
         datospp3b.push({
           y: articulo.nombre,
           a: articulo.venta
         });
       });
       //console.log('datospp: '+datospp)
       barChart3b.setData(datospp3b);
       //console.log('datospp: '+datospp)
     }
   });
}

function donutChart1() {
  var donutChart1 = new Morris.Donut({
  element: 'donut-chart1',
  data: [
    {label: "Vino", value: 50},
    {label: "Ron", value: 18},
    {label: "Anís", value: 12},
    {label: "Whiskey", value: 9},
    {label: "Sangría", value: 11}
  ],
  resize: true,
  redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=marcamesanterior",
  function(data,status)
  {
    console.log('data: '+data);
    //console.log('data[0] '+data[0])
    data1=JSON.parse(data);
    //console.log('data1: '+data1);
    if ((data1 == null)||(data1 == "undefined")) {
      console.log('no hay data');
    }else{
      let i=0;
      const item = data1[0];
      var datospp3b = [];
      item.forEach(articulo => {
        datospp3b.push({
          label: articulo.nombre,
          value: Math.round(articulo.cantidad)
        });
      });
      //console.log('datospp: '+datospp)
      donutChart1.setData(datospp3b);
      //console.log('datospp: '+datospp)
    }
  });

}

function donutChart2() {
  var donutChart2 = new Morris.Donut({
  element: 'donut-chart2',
  data: [
    {label: "Vino", value: 50},
    {label: "Ron", value: 18},
    {label: "Anís", value: 12},
    {label: "Whiskey", value: 9},
    {label: "Sangría", value: 11}
  ],
  resize: true,
  redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=marcamesencurso",
  function(data,status)
  {
    console.log('data: '+data);
    //console.log('data[0] '+data[0])
    data1=JSON.parse(data);
    //console.log('data1: '+data1);
    if ((data1 == null)||(data1 == "undefined")) {
      console.log('no hay data');
    }else{
      let i=0;
      const item = data1[0];
      var datospp3b = [];
      item.forEach(articulo => {
        datospp3b.push({
          label: articulo.nombre,
          value: Math.round(articulo.cantidad)
        });
      });
      //console.log('datospp: '+datospp)
      donutChart2.setData(datospp3b);
      //console.log('datospp: '+datospp)
    }
  });

}

function donutChart3() {
  var donutChart3 = new Morris.Donut({
  element: 'donut-chart3',
  data: [
    {label: "Vino", value: 50},
    {label: "Ron", value: 18},
    {label: "Anís", value: 12},
    {label: "Whiskey", value: 9},
    {label: "Sangría", value: 11}
  ],
  resize: true,
  redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=categoriamesanterior",
  function(data,status)
  {
    console.log('data: '+data);
    //console.log('data[0] '+data[0])
    data1=JSON.parse(data);
    //console.log('data1: '+data1);
    if ((data1 == null)||(data1 == "undefined")) {
      console.log('no hay data');
    }else{
      let i=0;
      const item = data1[0];
      var datospp3b = [];
      item.forEach(articulo => {
        datospp3b.push({
          label: articulo.nombre,
          value: Math.round(articulo.cantidad)
        });
      });
      //console.log('datospp: '+datospp)
      donutChart3.setData(datospp3b);
      //console.log('datospp: '+datospp)
    }
  });

}

function donutChart4() {
  var donutChart4 = new Morris.Donut({
  element: 'donut-chart4',
  data: [
    {label: "Vino", value: 50},
    {label: "Ron", value: 18},
    {label: "Anís", value: 12},
    {label: "Whiskey", value: 9},
    {label: "Sangría", value: 11}
  ],
  resize: true,
  redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=categoriamesencurso",
  function(data,status)
  {
    console.log('data: '+data);
    //console.log('data[0] '+data[0])
    data1=JSON.parse(data);
    //console.log('data1: '+data1);
    if ((data1 == null)||(data1 == "undefined")) {
      console.log('no hay data');
    }else{
      let i=0;
      const item = data1[0];
      var datospp3b = [];
      item.forEach(articulo => {
        datospp3b.push({
          label: articulo.nombre,
          value: Math.round(articulo.cantidad)
        });
      });
      //console.log('datospp: '+datospp)
      donutChart4.setData(datospp3b);
      //console.log('datospp: '+datospp)
    }
  });

}



function barChart5() {
  var barChart5 = new Morris.Bar({
    element: 'bar-chart5',
    data: [
      { y: 'Canal 1', a: 100, b: 90 },
      { y: 'Canal 2', a: 75,  b: 65 },
      { y: 'Canal 3', a: 50,  b: 40 },
      { y: 'Canal 4', a: 75,  b: 65 },
      { y: 'Canal 5', a: 50,  b: 40 },
      { y: 'Canal 6', a: 75,  b: 65 },
      { y: 'Canal 7', a: 75,  b: 65 },	  
      { y: 'Canal 8', a: 100, b: 90 },
      { y: 'Canal 9', a: 100, b: 90 },
      { y: 'Canal 10', a: 100, b: 90 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Meta', 'Cumplimiento'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=vendedormesanterior",
    function(data,status)
    {
      console.log('data: '+data);
      //console.log('data[0] '+data[0])
      data1=JSON.parse(data);
      //console.log('data1: '+data1);
      if ((data1 == null)||(data1 == "undefined")) {
        console.log('no hay data');
      }else{
        let i=0;
        const item = data1[0];
        var datospp3 = [];
        item.forEach(articulo => {
          datospp3.push({
            y: articulo.nombre,
            a: articulo.venta
          });
        });
        //console.log('datospp: '+datospp)
        barChart5.setData(datospp3);
        //console.log('datospp: '+datospp)
      }
		});

}

function barChart5b() {
  var barChart5b = new Morris.Bar({
    element: 'bar-chart5b',
    data: [
      { y: 'Canal 1', a: 100, b: 90 },
      { y: 'Canal 2', a: 75,  b: 65 },
      { y: 'Canal 3', a: 50,  b: 40 },
      { y: 'Canal 4', a: 75,  b: 65 },
      { y: 'Canal 5', a: 50,  b: 40 },
      { y: 'Canal 6', a: 75,  b: 65 },
      { y: 'Canal 7', a: 75,  b: 65 },	  
      { y: 'Canal 8', a: 100, b: 90 },
      { y: 'Canal 9', a: 100, b: 90 },
      { y: 'Canal 10', a: 100, b: 90 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Meta', 'Cumplimiento'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
  //Buscamos los datos
  $.post("controladores/consultasControlador.php?op=vendedormesencurso",
  function(data,status)
  {
    console.log('data: '+data);
    //console.log('data[0] '+data[0])
    data1=JSON.parse(data);
    //console.log('data1: '+data1);
    if ((data1 == null)||(data1 == "undefined")) {
      console.log('no hay data');
    }else{
      let i=0;
      const item = data1[0];
      var datospp3b = [];
      item.forEach(articulo => {
        datospp3b.push({
          y: articulo.nombre,
          a: articulo.venta
        });
      });
      //console.log('datospp: '+datospp)
      barChart5b.setData(datospp3b);
      //console.log('datospp: '+datospp)
    }
  });
}

function barChart6() {
  window.barChart6 = Morris.Bar({
    element: 'bar-chart6',
    data: [
      { y: 'Vendedor 1', a: 100, b: 90 },
      { y: 'Vendedor 2', a: 75,  b: 65 },
      { y: 'Vendedor 3', a: 50,  b: 40 },
      { y: 'Vendedor 4', a: 75,  b: 65 },
      { y: 'Vendedor 5', a: 50,  b: 40 },
      { y: 'Vendedor 6', a: 75,  b: 65 },
      { y: 'Vendedor 7', a: 75,  b: 65 },	  
      { y: 'Vendedor 8', a: 100, b: 90 },
      { y: 'Vendedor 9', a: 100, b: 90 },
      { y: 'Vendedor 10', a: 100, b: 90 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Meta', 'Cumplimiento'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
}


